Bug 31381 - Changes to NCO to better support Instant Messaging/VoIP
Summary: Changes to NCO to better support Instant Messaging/VoIP
Status: RESOLVED FIXED
Alias: None
Product: shared-desktop-ontologies
Classification: Unclassified
Component: nco (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: shared-desktop-ontologies-bugs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-04 07:24 UTC by George Goldberg
Modified: 2010-12-07 11:56 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description George Goldberg 2010-11-04 07:24:59 UTC
The following two branches improve NCO's support for Instant Messaging/VoIP, by making the ontology more accurately reflect the way these technologies work more accurately.

Branch one replaces AudioIMAccount and VideoIMAccount with a set of capabilities which an account can have, including Audio and Video. The reason for this is that a contact's support for auido/video may depend on the device/program they are currently logged on from, rather than being a fixed property of the contact.

http://cgit.freedesktop.org/~gberg/ontologies/log/?h=capabilities-audio-video-im-2

Branch improves support for intercontact relationships, allowing you to indicate the connections and subscriptions between a PersonContact representing your own account and a PersonContact representing someone else's account.

http://cgit.freedesktop.org/~gberg/ontologies/log/?h=intercontact-relationships
Comment 1 Sebastian Trüg 2010-11-11 04:20:04 UTC
Just my 2 cents: I agree with this patch and will commit on Monday if there is no objection until then.
Comment 2 Sebastian Trüg 2010-12-07 11:56:38 UTC
I finally commited.
BUT (yes, a big "but"): I moved the repo again. Back to SF this time. Sorry about all the noise and trouble. We are, however, in git now - only on SF.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.